/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_DEBUGSETTINGS_H
#define _SC_DEBUGSETTINGS_H

// sc
#include "util/String.h"


class DebugSettings
{
public:
  virtual ~DebugSettings(){}

  virtual bool getLog() = 0;
  virtual void setLog(bool) = 0;

  virtual bool getL10n() = 0;
  virtual void setL10n(bool) = 0;
};

// debug strings
const sc::String DebugL10n("debug.l10n");

#endif // _SC_DEBUGSETTINGS_H
